> For the complete documentation index, see [llms.txt](https://docs.launchboard.app/cxd/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.launchboard.app/cxd/project-robotics/project-instructions/2-design-and-build-solution/2.6-product-website.md).

# 2.6 Product Website

{% tabs %}
{% tab title="✓ TASK" %}
You'll create a **one-page product marketing website** for your team's robot solution, which will include a [robot demo video](/cxd/project-robotics/project-instructions/2-design-and-build-solution/2.7-robot-demo-video.md) that you'll create. This website will be made **public** to allow more people to learn about your robot project.

1. Gather and/or create the content (text, images, video, etc.) for your team’s product marketing website. As necessary, tailor the content to your target users, as represented by your team's persona. Be sure the content is clear, concise, engaging, and professional. Your website should include the following (but you can add other content if helpful):
   * Product Name
   * Product Description (can use value proposition as starting point)
   * Robot Conceptual Design (multi-view drawing of fully-functional robot concept)
   * Features (list tasks and behaviors that robot can perform – list for prototype and for fully-functional version)
   * Tech Specs (list robot's sensors, outputs, etc. – list for prototype and for fully-functional version)
   * Robot Demo Video (demonstration of robot prototype performing tasks – in addition to video, may help to include diagrams of tasks)
2. Create a visual design for your team's website that will be engaging, professional, and reinforce your product concept. As necessary, tailor the design to your target users.
   * Sketch possible ideas for the overall layout of the content on the webpage.
   * Determine the final layout and its overall style (such as: colors, fonts, etc.)
3. Build the website using a tool such as [Google Sites](https://sites.google.com/create?usp=drive_web) (available within Google Drive, see guide to [Get Started with Sites](https://gsuite.google.com/learning-center/products/sites/get-started/)) – or code the website directly using HTML and CSS.
   * Include a temporary placeholder for the robot demo video until it is ready to add to the website

In the next phase of the project, you'll test the website with people outside your team to determine how effective the website is at explaining and marketing your team's solution.

## **❏ Deliverable**

Submit a link to your team's product website for its robot solution.
{% endtab %}

{% tab title="➤ EXAMPLE" %}
Here are some real-life examples of product websites for robots (though they are not limited to one webpage):

* [Anki Vector Toy Robot](https://www.anki.com/en-us/vector)
* [iRobot Roomba Robot Vacuums](https://www.irobot.com/for-the-home/vacuuming/roomba)
  {% endtab %}

{% tab title="★ RUBRIC" %}

| **✓- Below Standard** | **✓ Meets Standard** | **✓+ Exceeds Standard** |
| --------------------- | -------------------- | ----------------------- |
| Description           | Description          | Description             |
| {% endtab %}          |                      |                         |
| {% endtabs %}         |                      |                         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.launchboard.app/cxd/project-robotics/project-instructions/2-design-and-build-solution/2.6-product-website.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
